<?php
    require('./plugins/social_sharing/init.inc.php');

	if (!GALLERY_ADMIN_MODE) {
		cpg_die(ERROR, $lang_errors['perm_denied'], __FILE__, __LINE__);
	}
	pageheader($lang_social_sharing['configure_plugin']);

	global $lang_plugin_php, $CONFIG, $lang_common, $lang_pluginmgr_php, $lang_admin_php, $icon_array;

	list($timestamp, $form_token) = getFormToken();

	// get sanitized POST parameters
		if ($superCage->post->keyExists('submit')) {
		//Check if the form token is valid
		if(!checkFormToken()){
			cpg_die(ERROR, $lang_errors['invalid_form_token'], __FILE__, __LINE__);
		}

  // Define the sanitization patterns
  $sanitization_array = array(  
	'plugin_social-sharing_enabledcatregex' => array('type' => 'stringmatch', 'match' =>  '/^[[:print:]]*$/'),
	'plugin_social-sharing_locate' => array('type' => 'int', 'min' => '0', 'max' => '4'),
	'plugin_social-sharing_span_attr' => array('type' => 'stringmatch', 'match' =>  '/^[A-Za-z0-9 _\.\,\:\;\-\+\*\=\&\#\"\']*$/'),
	'plugin_social-sharing_og_type' => array('type' => 'stringmatch', 'match' =>  '/^[A-Za-z0-9_\-\.\: ]*$/'),
	'plugin_social-sharing_og4restricted' => array('type' => 'int', 'min' => '0', 'max' => '1'),
	'plugin_social-sharing_owner2title' => array('type' => 'int', 'min' => '0', 'max' => '2'),
	'plugin_social-sharing_fb_admins' => array('type' => 'stringmatch', 'match' =>  '/^[A-Za-z0-9, ]*$/'),
	'plugin_social-sharing_fb_appid' => array('type' => 'alnum'),
	'plugin_social-sharing_fblikeb_js' => array('type' => 'int', 'min' => '0', 'max' => '1'),
	'plugin_social-sharing_fblikeb_js_attr' => array('type' => 'stringmatch', 'match' =>  '/^[A-Za-z0-9 _\.\,\:\;\-\+\*\=\&\#\"\']*$/'),
	'plugin_social-sharing_fblikeb_js_sattr' => array('type' => 'stringmatch', 'match' =>  '/^[A-Za-z0-9 _\.\,\:\;\-\+\*\=\&\#\"\']*$/'),
	'plugin_social-sharing_fbcomments' => array('type' => 'int', 'min' => '0', 'max' => '1'),
	'plugin_social-sharing_fbcomments_attr' => array('type' => 'stringmatch', 'match' =>  '/^[A-Za-z0-9 _\.\,\:\;\-\+\*\=\&\#\"\']*$/'),
	'plugin_social-sharing_fbcomments_sattr' => array('type' => 'stringmatch', 'match' =>  '/^[A-Za-z0-9 _\.\,\:\;\-\+\*\=\&\#\"\']*$/'),
	'plugin_social-sharing_fblikebutton' => array('type' => 'int', 'min' => '0', 'max' => '1'),
	'plugin_social-sharing_fblikebutton_iattr' => array('type' => 'stringmatch', 'match' =>  '/^[A-Za-z0-9 _\.\,\:\;\-\+\*\=\&\#\"\']*$/'),
	'plugin_social-sharing_fblikebutton_attr' => array('type' => 'stringmatch', 'match' =>  '/^[A-Za-z0-9 _\.\,\:\;\-\+\*\=\&\#]*$/'),
	'plugin_social-sharing_fblikebutton_sattr' => array('type' => 'stringmatch', 'match' =>  '/^[A-Za-z0-9 _\.\,\:\;\-\+\*\=\&\#\"\']*$/'),
	'plugin_social-sharing_vz' => array('type' => 'int', 'min' => '0', 'max' => '1'),
	'plugin_social-sharing_vz_gfx' => array('type' => 'int', 'min' => '0', 'max' => count($plugin_social_sharing_gfx_vz)-1),
	'plugin_social-sharing_vz_attr' => array('type' => 'stringmatch', 'match' =>  '/^[A-Za-z0-9 _\.\,\:\;\-\+\*\=\&\#\"\']*$/'),
	'plugin_social-sharing_fbshare' => array('type' => 'int', 'min' => '0', 'max' => '1'),
	'plugin_social-sharing_fbshare_attr' => array('type' => 'stringmatch', 'match' =>  '/^[A-Za-z0-9 _\.\,\:\;\-\+\*\=\&\#\"\']*$/'),
	'plugin_social-sharing_fbshare_type' => array('type' => 'int', 'min' => '0', 'max' => count($plugin_social_sharing_fbshare_type_texts)-1),
	'plugin_social-sharing_twitter' => array('type' => 'int', 'min' => '0', 'max' => '1'),
	'plugin_social-sharing_twitter_attr' => array('type' => 'stringmatch', 'match' =>  '/^[A-Za-z0-9 _\.\,\:\;\-\+\*\=\&\#\"\']*$/'),
	'plugin_social-sharing_twitter_count' => array('type' => 'int', 'min' => '0', 'max' => count($plugin_social_sharing_twitter_count_texts)-1)
	);
  $config_changes_counter = 0;
  foreach ($sanitization_array as $san_key => $san_value) {
          if ($san_value['type'] == 'int') { // type is integer --- start
              if ($superCage->post->getInt($san_key) <= $san_value['max'] && $superCage->post->getInt($san_key) >= $san_value['min'] && $superCage->post->getInt($san_key) != $CONFIG[$san_key]) {
                  $CONFIG[$san_key] = $superCage->post->getInt($san_key);
                  cpg_db_query("INSERT INTO {$CONFIG['TABLE_CONFIG']} (name, value) VALUES ('$san_key', '{$CONFIG[$san_key]}') ON DUPLICATE KEY UPDATE value='{$CONFIG[$san_key]}'");
                  $config_changes_counter++;
              }
          } // type is integer --- end
 	  elseif ($san_value['type'] == 'stringmatch') { // type is stringmatch --- start
	      $testarr = $superCage->post->getMatched($san_key, $san_value['match']);
	      if ($testarr) {
		     $testval = $testarr[0];
 	             if ($testval != $CONFIG[$san_key]) {
	                  $CONFIG[$san_key] = $testval;
	                  cpg_db_query("INSERT INTO {$CONFIG['TABLE_CONFIG']} (name, value) VALUES ('$san_key', '" . mysql_real_escape_string($CONFIG[$san_key]) . "') ON DUPLICATE KEY UPDATE value='" . mysql_real_escape_string($CONFIG[$san_key]) . "'");
        	          $config_changes_counter++;
		     }
              }
          } // type is stringmatch --- end
 	  elseif ($san_value['type'] == 'alnum') { // type is alnum --- start
	      $testval = $superCage->post->getAlnum($san_key);
	      if ($testval != $CONFIG[$san_key]) {
	          $CONFIG[$san_key] = $testval;
                  cpg_db_query("INSERT INTO {$CONFIG['TABLE_CONFIG']} (name, value) VALUES ('$san_key', '" . mysql_real_escape_string($CONFIG[$san_key]) . "') ON DUPLICATE KEY UPDATE value='" . mysql_real_escape_string($CONFIG[$san_key]) . "'");
	          $config_changes_counter++;
	     }
          } // type is alnum --- end
/* // we don't need this here
 	  elseif ($san_value['type'] == 'int_dbexist') { // type is int_dbexist --- start
 	          $testval = $superCage->post->getInt($san_key);
 	          if ($testval) {
 	             $result = cpg_db_query("SELECT ".$san_value['column']." FROM ".$san_value['table']." WHERE ".$san_value['column']."=".$testval);
                     if(mysql_num_rows($result) > 0) {
                          if ($testval != $CONFIG[$san_key]) {
	                  	$CONFIG[$san_key] = $testval;
	                  	cpg_db_query("INSERT INTO {$CONFIG['TABLE_CONFIG']} (name, value) VALUES ('$san_key', '" . $CONFIG[$san_key] . "') ON DUPLICATE KEY UPDATE value='" . $CONFIG[$san_key] . "'");
	                  	$config_changes_counter++;
        	          }
		     }
              }
          } // type is int_dbexist --- end
*/
  }
}	

// Set the option outputs for the form variables
if ($CONFIG['plugin_social-sharing_og4restricted'] == '1') {
	$option_output['plugin_social-sharing_og4restricted'] = 'checked="checked"';
} else {
	$option_output['plugin_social-sharing_og4restricted'] = '';
}

if ($CONFIG['plugin_social-sharing_fblikeb_js'] == '1') {
	$option_output['plugin_social-sharing_fblikeb_js'] = 'checked="checked"';
	$plugin_social_sharing_fblikeb_js_details = 'style="display: table-row;"';
} else {
	$option_output['plugin_social-sharing_fblikeb_js'] = '';
	$plugin_social_sharing_fblikeb_js_details = 'style="display: none;"';
}

if ($CONFIG['plugin_social-sharing_fblikebutton'] == '1') {
	$option_output['plugin_social-sharing_fblikebutton'] = 'checked="checked"';
	$plugin_social_sharing_fblikebutton_details = 'style="display: table-row;"';
} else {
	$option_output['plugin_social-sharing_fblikebutton'] = '';
	$plugin_social_sharing_fblikebutton_details = 'style="display: none;"';
}

if ($CONFIG['plugin_social-sharing_fbcomments'] == '1') {
	$option_output['plugin_social-sharing_fbcomments'] = 'checked="checked"';
	$plugin_social_sharing_fbcomments_details = 'style="display: table-row;"';
} else {
	$option_output['plugin_social-sharing_fbcomments'] = '';
	$plugin_social_sharing_fbcomments_details = 'style="display: none;"';
}

if ($CONFIG['plugin_social-sharing_vz'] == '1') {
	$option_output['plugin_social-sharing_vz'] = 'checked="checked"';
	$plugin_social_sharing_vz_details = 'style="display: table-row;"';
} else {
	$option_output['plugin_social-sharing_vz'] = '';
	$plugin_social_sharing_vz_details = 'style="display: none;"';
}

if ($CONFIG['plugin_social-sharing_fbshare'] == '1') {
	$option_output['plugin_social-sharing_fbshare'] = 'checked="checked"';
	$plugin_social_sharing_fbshare_details = 'style="display: table-row;"';
} else {
	$option_output['plugin_social-sharing_fbshare'] = '';
	$plugin_social_sharing_fbshare_details = 'style="display: none;"';
}

if ($CONFIG['plugin_social-sharing_twitter'] == '1') {
	$option_output['plugin_social-sharing_twitter'] = 'checked="checked"';
	$plugin_social_sharing_twitter_details = 'style="display: table-row;"';
} else {
	$option_output['plugin_social-sharing_twitter'] = '';
	$plugin_social_sharing_twitter_details = 'style="display: none;"';
}

	
	// start form
	$superCage = Inspekt::makeSuperCage();

	echo <<< EOT
	<form name="cpgform" id="cpgform" action="{$_SERVER['REQUEST_URI']}" method="post">
EOT;
	starttable('100%', $lang_social_sharing['configure_plugin'], 2, 'cpg_zebra');
	
	// reply with success to changes or no changes made
	if ($superCage->post->keyExists('submit')) {
    echo <<< EOT
	<tr>
		<td class="tableh2" colspan="2">
EOT;
    if ($config_changes_counter > 0) {
        msg_box('', $lang_social_sharing['update_success'], '', '', 'success');
    } else {
        msg_box('', $lang_social_sharing['no_changes'], '', '', 'validation');
    }
echo <<< EOT
		</td>
	</tr>
EOT;
}

$html_plugin_social_sharing_enabledcatregex  = htmlentities($CONFIG['plugin_social-sharing_enabledcatregex']);
$html_plugin_social_sharing_span_attr  = htmlentities($CONFIG['plugin_social-sharing_span_attr']);
$html_plugin_social_sharing_og_type = htmlentities($CONFIG['plugin_social-sharing_og_type']);
$html_plugin_social_sharing_fb_admins = htmlentities($CONFIG['plugin_social-sharing_fb_admins']);
$html_plugin_social_sharing_fb_appid = htmlentities($CONFIG['plugin_social-sharing_fb_appid']);
$html_plugin_social_sharing_fblikeb_js_attr = htmlentities($CONFIG['plugin_social-sharing_fblikeb_js_attr']);
$html_plugin_social_sharing_fblikeb_js_sattr = htmlentities($CONFIG['plugin_social-sharing_fblikeb_js_sattr']);
$html_plugin_social_sharing_fblikebutton_iattr = htmlentities($CONFIG['plugin_social-sharing_fblikebutton_iattr']);
$html_plugin_social_sharing_fblikebutton_attr = htmlentities($CONFIG['plugin_social-sharing_fblikebutton_attr']);
$html_plugin_social_sharing_fbcomments_attr = htmlentities($CONFIG['plugin_social-sharing_fbcomments_attr']);
$html_plugin_social_sharing_fbcomments_sattr = htmlentities($CONFIG['plugin_social-sharing_fbcomments_sattr']);
$html_plugin_social_sharing_vz_attr = htmlentities($CONFIG['plugin_social-sharing_vz_attr']);
$html_plugin_social_sharing_twitter_attr = htmlentities($CONFIG['plugin_social-sharing_twitter_attr']);

$shareDemoUrl = htmlspecialchars(preg_replace('/\/[^\/]*\.php.*$/','/',social_sharing_getCurrentUrl()));

$options_cfg_locate = '';
for($i=0; $i<=4; $i++) {
	$options_cfg_locate .= '<input type="radio" class="radio" id="plugin_social-sharing_locate_'.$i.'" name="plugin_social-sharing_locate" value="'.$i.'"';
	if ($i == $CONFIG['plugin_social-sharing_locate']) {
		$options_cfg_locate .= 'checked="checked"';
	}
	$options_cfg_locate .= ' /><label for="plugin_social-sharing_locate_'.$i.'">'.$lang_social_sharing['cfg_locate_'.$i].'</label><br />';
}
$options_cfg_owner2title = '';
for($i=0; $i<=2; $i++) {
	$options_cfg_owner2title .= '<input type="radio" class="radio" id="plugin_social-sharing_owner2title_'.$i.'" name="plugin_social-sharing_owner2title" value="'.$i.'"';
	if ($i == $CONFIG['plugin_social-sharing_owner2title']) {
		$options_cfg_owner2title .= 'checked="checked"';
	}
	$options_cfg_owner2title .= ' /><label for="plugin_social-sharing_owner2title_'.$i.'">'.$lang_social_sharing['cfg_owner2title_'.$i].'</label><br />';
}
$options_cfg_vz_gfx = '';
for($i=0; $i<count($plugin_social_sharing_gfx_vz); $i++) {
	$options_cfg_vz_gfx .= '<input type="radio" class="radio" id="plugin_social-sharing_vz_gfx_'.$i.'" name="plugin_social-sharing_vz_gfx" value="'.$i.'"';
	if ($i == $CONFIG['plugin_social-sharing_vz_gfx']) {
		$options_cfg_vz_gfx .= ' checked="checked"';
	}
	$options_cfg_vz_gfx .= ' /><label for="plugin_social-sharing_vz_gfx_'.$i.'"><img src="'.$plugin_social_sharing_gfx_vz[$i].'" border="0" style="border:none;" /></label><br />';
}
$options_cfg_fbshare_type = '<table style="border: none; background-color: transparent;">';
for($i=0; $i<count($plugin_social_sharing_fbshare_type_texts); $i++) {
	$options_cfg_fbshare_type .= '<tr style="background-color: transparent;"><td style="background-color: transparent;"><input type="radio" class="radio" id="plugin_social-sharing_fbshare_type_'.$i.'" name="plugin_social-sharing_fbshare_type" value="'.$i.'"';
	if ($i == $CONFIG['plugin_social-sharing_fbshare_type']) {
		$options_cfg_fbshare_type .= ' checked="checked"';
	}
	$options_cfg_fbshare_type .= ' /></td><td style="background-color: transparent;"><label for="plugin_social-sharing_fbshare_type_'.$i.'">'
				   .$plugin_social_sharing_fbshare_type_texts[$i].
				   '</label> <a name="fb_share" share_url="'.$shareDemoUrl.'" type="'
				   .$plugin_social_sharing_fbshare_type_texts[$i].
				   '">'.$lang_social_sharing['fbshare_text'].'</a></td></tr>';
}
$options_cfg_fbshare_type .= '</table><script type="text/javascript" src="http://static.ak.fbcdn.net/connect.php/js/FB.Share"></script>';
$options_cfg_twitter_count = '';
for($i=0; $i<count($plugin_social_sharing_twitter_count_texts); $i++) {
	$options_cfg_twitter_count .= '<input type="radio" class="radio" id="plugin_social-sharing_twitter_count_'.$i.'" name="plugin_social-sharing_twitter_count" value="'.$i.'"';
	if ($i == $CONFIG['plugin_social-sharing_twitter_count']) {
		$options_cfg_twitter_count .= ' checked="checked"';
	}
	$options_cfg_twitter_count .= ' /><label for="plugin_social-sharing_twitter_count_'.$i.'">'
				   .$plugin_social_sharing_twitter_count_texts[$i].
				   ' <a href="http://twitter.com/share" class="twitter-share-button" data-url="'.$shareDemoUrl.'" data-text="Demo" data-count="'
				   .$plugin_social_sharing_twitter_count_texts[$i].
				   '">'.$lang_social_sharing['twitter_text'].'</a></label>';
}
$options_cfg_twitter_count .= '<script type="text/javascript" src="http://platform.twitter.com/widgets.js"></script>';

// complete form 
echo <<< EOT
	<tr>
		<td colspan="2" class="tableh2" style="vertical-align: top;">
		<br /><h3>{$lang_social_sharing['page_head']}</h3>
<!--		</td>
	</tr>
	<tr>
		<td colspan="2" class="tableb" style="vertical-align: top;">   -->
		{$lang_social_sharing['cfg_instructions']}
		</td>
	</tr>
	<tr>
		<td colspan="2" class="tableb tableb_alternate " style="vertical-align: top;" align="right">
		<span>
		<a href="http://developers.facebook.com/plugins" class="admin_menu" target="_blank">{$lang_social_sharing['reference_facebook']}</a>
		</span>
		</td>
	</tr>
	<tr>
		<td class="tableb" style="vertical-align: top;" width="40%">
                {$lang_social_sharing['cfg_enabledcatregex']}
		</td>
		<td class="tableb" style="vertical-align: top;">
<!--		<input type="string" name="plugin_social-sharing_enabledcatregex" id="plugin_social-sharing_enabledcatregex" class="textinput" style="width:90%" value="{$html_plugin_social_sharing_enabledcatregex}" /> -->
		<textarea name="plugin_social-sharing_enabledcatregex" id="plugin_social-sharing_enabledcatregex" class="textinput" style="width:90%;height:90%">{$html_plugin_social_sharing_enabledcatregex}</textarea>
		</td>
	</tr>
	<tr>
		<td class="tableb tableb_alternate " style="vertical-align: top;" width="40%">
                {$lang_social_sharing['cfg_locate']}
		</td>
		<td class="tableb tableb_alternate " style="vertical-align: top;">
		{$options_cfg_locate}
		</td>
        </tr>
	<tr>
		<td class="tableb" style="vertical-align: top;" width="40%">
                {$lang_social_sharing['cfg_span_attr']}
		</td>
		<td class="tableb" style="vertical-align: top;">
<!--		<input type="string" name="plugin_social-sharing_span_attr" id="plugin_social-sharing_span_attr" class="textinput" style="width:90%" value="{$html_plugin_social_sharing_span_attr}" /> -->
		<textarea name="plugin_social-sharing_span_attr" id="plugin_social-sharing_span_attr" class="textinput" style="width:90%;height:90%">{$html_plugin_social_sharing_span_attr}</textarea>
		</td>
	</tr>
	<tr>
		<td class="tableb tableb_alternate " style="vertical-align: top;" width="40%">
                {$lang_social_sharing['cfg_og_type']}
		</td>
		<td class="tableb tableb_alternate " style="vertical-align: top;">
		<input type="string" name="plugin_social-sharing_og_type" id="plugin_social-sharing_og_type" class="textinput" style="width:90%" value="{$html_plugin_social_sharing_og_type}" />
		</td>
	</tr>
        <tr>
		<td class="tableb" style="vertical-align: top;" width="40%">
		{$lang_social_sharing['cfg_og4restricted']}
		</td>
		<td class="tableb" style="vertical-align: top;">
		<input type="checkbox" name="plugin_social-sharing_og4restricted" id="plugin_social-sharing_og4restricted" class="checkbox" value="1" {$option_output['plugin_social-sharing_og4restricted']} />
		<label for="plugin_social-sharing_og4restricted" class="clickable_option">{$lang_common['yes']}</label>
		</td>
	</tr>
        <tr>
		<td class="tableb tableb_alternate " style="vertical-align: top;" width="40%">
		{$lang_social_sharing['cfg_owner2title']}
		</td>
		<td class="tableb tableb_alternate " style="vertical-align: top;">
		{$options_cfg_owner2title}
		</td>
	</tr>
	<tr>
		<td class="tableb" style="vertical-align: top;" width="40%">
                {$lang_social_sharing['cfg_fb_admins']}
		</td>
		<td class="tableb" style="vertical-align: top;">
		<input type="string" name="plugin_social-sharing_fb_admins" id="plugin_social-sharing_fb_admins" class="textinput" style="width:90%" value="{$html_plugin_social_sharing_fb_admins}" />
		</td>
	</tr>
	<tr>
		<td class="tableb tableb_alternate " style="vertical-align: top;" width="40%">
                {$lang_social_sharing['cfg_fb_appid']}
		</td>
		<td class="tableb tableb_alternate " style="vertical-align: top;">
		<input type="string" name="plugin_social-sharing_fb_appid" id="plugin_social-sharing_fb_appid" class="textinput" style="width:90%" value="{$html_plugin_social_sharing_fb_appid}" />
		</td>
	</tr>

        <tr>
		<td class="tableb" style="vertical-align: top;" width="40%">
		{$lang_social_sharing['cfg_fblikeb_js']}
		</td>
		<td class="tableb" style="vertical-align: top;">
		<script type="text/javascript">
			function plugin_social_sharing_fblikeb_js_change(value) {
				document.getElementById('plugin_social-sharing_fblikeb_js_details').style.display = value ? 'table-row' : 'none';
			}
		</script>
		<input type="checkbox" name="plugin_social-sharing_fblikeb_js" id="plugin_social-sharing_fblikeb_js" class="checkbox" value="1" {$option_output['plugin_social-sharing_fblikeb_js']} onchange="javascript:plugin_social_sharing_fblikeb_js_change(this.checked)" />
		<label for="plugin_social-sharing_fblikeb_js" class="clickable_option">{$lang_common['yes']}</label>
		</td>
	</tr>
	<tr id="plugin_social-sharing_fblikeb_js_details" {$plugin_social_sharing_fblikeb_js_details}>
		<td class="tableb" style="vertical-align: top;" colspan="2">
EOT;
	starttable('100%',  '', 2, 'cpg_zebra');
echo <<< EOT
	<tr>
		<td class="tableb" style="vertical-align: top;" width="40%">
		{$lang_social_sharing['cfg_fblikeb_js_attr']}
		</td>
		<td class="tableb" style="vertical-align: top;">
<!--		<input type="string" name="plugin_social-sharing_fblikeb_js_attr" id="plugin_social-sharing_fblikeb_js_attr" class="textinput" style="width:90%" value="{$html_plugin_social_sharing_fblikeb_js_attr}" /> -->
		<textarea name="plugin_social-sharing_fblikeb_js_attr" id="plugin_social-sharing_fblikeb_js_attr" class="textinput" style="width:90%;height:90%">{$html_plugin_social_sharing_fblikeb_js_attr}</textarea>
		</td>
	</tr>
	<tr>
		<td class="tableb tableb_alternate " style="vertical-align: top;" width="40%">
		{$lang_social_sharing['cfg_fblikeb_js_sattr']}
		</td>
		<td class="tableb tableb_alternate " style="vertical-align: top;">
<!--		<input type="string" name="plugin_social-sharing_fblikeb_js_sattr" id="plugin_social-sharing_fblikeb_js_sattr" class="textinput" style="width:90%" value="{$html_plugin_social_sharing_fblikeb_js_sattr}" /> -->
		<textarea name="plugin_social-sharing_fblikeb_js_sattr" id="plugin_social-sharing_fblikeb_js_sattr" class="textinput" style="width:90%;height:90%">{$html_plugin_social_sharing_fblikeb_js_sattr}</textarea>
		</td>
	</tr>
EOT;
	endtable();
echo <<< EOT
		</td>
	</tr>

        <tr>
		<td class="tableb tableb_alternate " style="vertical-align: top;" width="40%">
		{$lang_social_sharing['cfg_fblikebutton']}
		</td>
		<td class="tableb tableb_alternate " style="vertical-align: top;">
		<script type="text/javascript">
			function plugin_social_sharing_fblikebutton_change(value) {
				document.getElementById('plugin_social-sharing_fblikebutton_details').style.display = value ? 'table-row' : 'none';
			}
		</script>
		<input type="checkbox" name="plugin_social-sharing_fblikebutton" id="plugin_social-sharing_fblikebutton" class="checkbox" value="1" {$option_output['plugin_social-sharing_fblikebutton']} onchange="javascript:plugin_social_sharing_fblikebutton_change(this.checked)" />
		<label for="plugin_social-sharing_fblikebutton" class="clickable_option">{$lang_common['yes']}</label>
		</td>
	</tr>
	<tr id="plugin_social-sharing_fblikebutton_details" {$plugin_social_sharing_fblikebutton_details}>
		<td class="tableb" style="vertical-align: top;" colspan="2">
EOT;
	starttable('100%',  '', 2, 'cpg_zebra');
echo <<< EOT
	<tr>
		<td class="tableb" style="vertical-align: top;" width="40%">
		{$lang_social_sharing['cfg_fblikebutton_iattr']}
		</td>
		<td class="tableb" style="vertical-align: top;">
<!--		<input type="string" name="plugin_social-sharing_fblikebutton_iattr" id="plugin_social-sharing_fblikebutton_iattr" class="textinput" style="width:90%" value="{$html_plugin_social_sharing_fblikebutton_iattr}" /> -->
		<textarea name="plugin_social-sharing_fblikebutton_iattr" id="plugin_social-sharing_fblikebutton_iattr" class="textinput" style="width:90%;height:90%">{$html_plugin_social_sharing_fblikebutton_iattr}</textarea>
		</td>
	</tr>
	<tr>
		<td class="tableb tableb_alternate " style="vertical-align: top;" width="40%">
		{$lang_social_sharing['cfg_fblikebutton_attr']}
		</td>
		<td class="tableb tableb_alternate " style="vertical-align: top;">
<!--		<input type="string" name="plugin_social-sharing_fblikebutton_attr" id="plugin_social-sharing_fblikebutton_attr" class="textinput" style="width:90%" value="{$html_plugin_social_sharing_fblikebutton_attr}" /> -->
		<textarea name="plugin_social-sharing_fblikebutton_attr" id="plugin_social-sharing_fblikebutton_attr" class="textinput" style="width:90%;height:90%">{$html_plugin_social_sharing_fblikebutton_attr}</textarea>
		</td>
	</tr>
EOT;
	endtable();
echo <<< EOT
		</td>
	</tr>

        <tr>
		<td class="tableb" style="vertical-align: top;" width="40%">
		{$lang_social_sharing['cfg_fbcomments']}
		</td>
		<td class="tableb" style="vertical-align: top;">
		<script type="text/javascript">
			function plugin_social_sharing_fbcomments_change(value) {
				document.getElementById('plugin_social-sharing_fbcomments_details').style.display = value ? 'table-row' : 'none';
			}
		</script>
		<input type="checkbox" name="plugin_social-sharing_fbcomments" id="plugin_social-sharing_fbcomments" class="checkbox" value="1" {$option_output['plugin_social-sharing_fbcomments']} onchange="javascript:plugin_social_sharing_fbcomments_change(this.checked)" />
		<label for="plugin_social-sharing_fbcomments" class="clickable_option">{$lang_common['yes']}</label>
		</td>
	</tr>
	<tr id="plugin_social-sharing_fbcomments_details" {$plugin_social_sharing_fbcomments_details}>
		<td class="tableb" style="vertical-align: top;" colspan="2">
EOT;
	starttable('100%',  '', 2, 'cpg_zebra');
echo <<< EOT
	<tr>
		<td class="tableb" style="vertical-align: top;" width="40%">
		{$lang_social_sharing['cfg_fbcomments_attr']}
		</td>
		<td class="tableb" style="vertical-align: top;">
<!--		<input type="string" name="plugin_social-sharing_fbcomments_attr" id="plugin_social-sharing_fbcomments_attr" class="textinput" style="width:90%" value="{$html_plugin_social_sharing_fbcomments_attr}" /> -->
		<textarea name="plugin_social-sharing_fbcomments_attr" id="plugin_social-sharing_fbcomments_attr" class="textinput" style="width:90%;height:90%">{$html_plugin_social_sharing_fbcomments_attr}</textarea>
		</td>
	</tr>
	<tr>
		<td class="tableb tableb_alternate " style="vertical-align: top;" width="40%">
		{$lang_social_sharing['cfg_fbcomments_sattr']}
		</td>
		<td class="tableb tableb_alternate " style="vertical-align: top;">
<!--		<input type="string" name="plugin_social-sharing_fbcomments_sattr" id="plugin_social-sharing_fbcomments_sattr" class="textinput" style="width:90%" value="{$html_plugin_social_sharing_fbcomments_sattr}" /> -->
		<textarea name="plugin_social-sharing_fbcomments_sattr" id="plugin_social-sharing_fbcomments_sattr" class="textinput" style="width:90%;height:90%">{$html_plugin_social_sharing_fbcomments_sattr}</textarea>
		</td>
	</tr>
EOT;
	endtable();
echo <<< EOT
		</td>
	</tr>

        <tr>
		<td class="tableb tableb_alternate " style="vertical-align: top;" width="40%">
		{$lang_social_sharing['cfg_fbshare']}
		</td>
		<td class="tableb tableb_alternate " style="vertical-align: top;">
		<script type="text/javascript">
			function plugin_social_sharing_fbshare_change(value) {
				document.getElementById('plugin_social-sharing_fbshare_details').style.display = value ? 'table-row' : 'none';
			}
		</script>
		<input type="checkbox" name="plugin_social-sharing_fbshare" id="plugin_social-sharing_fbshare" class="checkbox" value="1" {$option_output['plugin_social-sharing_fbshare']} onchange="javascript:plugin_social_sharing_fbshare_change(this.checked)" />
		<label for="plugin_social-sharing_fbshare" class="clickable_option">{$lang_common['yes']}</label>
		</td>
	</tr>
	<tr id="plugin_social-sharing_fbshare_details" {$plugin_social_sharing_fbshare_details}>
		<td class="tableb" style="vertical-align: top;" colspan="2">
EOT;
	starttable('100%',  '', 2, 'cpg_zebra');
echo <<< EOT
	<tr>
		<td class="tableb" style="vertical-align: top;" width="40%">
		{$lang_social_sharing['cfg_fbshare_type']}
		</td>
		<td class="tableb" style="vertical-align: top;">
		{$options_cfg_fbshare_type}
		</td>
	</tr>
	<tr>
		<td class="tableb tableb_alternate " style="vertical-align: top;" width="40%">
		{$lang_social_sharing['cfg_fbshare_attr']}
		</td>
		<td class="tableb tableb_alternate " style="vertical-align: top;">
<!--		<input type="string" name="plugin_social-sharing_fbshare_attr" id="plugin_social-sharing_fbshare_attr" class="textinput" style="width:90%" value="{$html_plugin_social_sharing_fbshare_attr}" /> -->
		<textarea name="plugin_social-sharing_fbshare_attr" id="plugin_social-sharing_fbshare_attr" class="textinput" style="width:90%;height:90%">{$html_plugin_social_sharing_fbshare_attr}</textarea>
		</td>
	</tr>
EOT;
	endtable();
echo <<< EOT
		</td>
	</tr>

        <tr>
		<td class="tableb" style="vertical-align: top;" width="40%">
		{$lang_social_sharing['cfg_twitter']}
		</td>
		<td class="tableb" style="vertical-align: top;">
		<script type="text/javascript">
			function plugin_social_sharing_twitter_change(value) {
				document.getElementById('plugin_social-sharing_twitter_details').style.display = value ? 'table-row' : 'none';
			}
		</script>
		<input type="checkbox" name="plugin_social-sharing_twitter" id="plugin_social-sharing_twitter" class="checkbox" value="1" {$option_output['plugin_social-sharing_twitter']} onchange="javascript:plugin_social_sharing_twitter_change(this.checked)" />
		<label for="plugin_social-sharing_twitter" class="clickable_option">{$lang_common['yes']}</label>
		</td>
	</tr>
	<tr id="plugin_social-sharing_twitter_details" {$plugin_social_sharing_twitter_details}>
		<td class="tableb" style="vertical-align: top;" colspan="2">
EOT;
	starttable('100%',  '', 2, 'cpg_zebra');
echo <<< EOT
	<tr>
		<td class="tableb" style="vertical-align: top;" width="40%">
		{$lang_social_sharing['cfg_twitter_count']}
		</td>
		<td class="tableb" style="vertical-align: top;">
		{$options_cfg_twitter_count}
		</td>
	</tr>
	<tr>
		<td class="tableb tableb_alternate " style="vertical-align: top;" width="40%">
		{$lang_social_sharing['cfg_twitter_attr']}
		</td>
		<td class="tableb tableb_alternate " style="vertical-align: top;">
<!--		<input type="string" name="plugin_social-sharing_twitter_attr" id="plugin_social-sharing_twitter_attr" class="textinput" style="width:90%" value="{$html_plugin_social_sharing_twitter_attr}" /> -->
		<textarea name="plugin_social-sharing_twitter_attr" id="plugin_social-sharing_twitter_attr" class="textinput" style="width:90%;height:90%">{$html_plugin_social_sharing_twitter_attr}</textarea>
		</td>
	</tr>
EOT;
	endtable();
echo <<< EOT
		</td>
	</tr>

        <tr>
		<td class="tableb tableb_alternate " style="vertical-align: top;" width="40%">
		{$lang_social_sharing['cfg_vz']}
		</td>
		<td class="tableb tableb_alternate " style="vertical-align: top;">
		<script type="text/javascript">
			function plugin_social_sharing_vz_change(value) {
				document.getElementById('plugin_social-sharing_vz_details').style.display = value ? 'table-row' : 'none';
			}
		</script>
		<input type="checkbox" name="plugin_social-sharing_vz" id="plugin_social-sharing_vz" class="checkbox" value="1" {$option_output['plugin_social-sharing_vz']} onchange="javascript:plugin_social_sharing_vz_change(this.checked)" />
		<label for="plugin_social-sharing_vz" class="clickable_option">{$lang_common['yes']}</label>
		</td>
	</tr>
	<tr id="plugin_social-sharing_vz_details" {$plugin_social_sharing_vz_details}>
		<td class="tableb" style="vertical-align: top;" colspan="2">
EOT;
	starttable('100%',  '', 2, 'cpg_zebra');
echo <<< EOT
	<tr>
		<td class="tableb" style="vertical-align: top;" width="40%">
		{$lang_social_sharing['cfg_vz_gfx']}
		</td>
		<td class="tableb" style="vertical-align: top;">
		{$options_cfg_vz_gfx}
		</td>
	</tr>
	<tr>
		<td class="tableb tableb_alternate " style="vertical-align: top;" width="40%">
		{$lang_social_sharing['cfg_vz_attr']}
		</td>
		<td class="tableb tableb_alternate " style="vertical-align: top;">
<!--		<input type="string" name="plugin_social-sharing_vz_attr" id="plugin_social-sharing_vz_attr" class="textinput" style="width:90%" value="{$html_plugin_social_sharing_vz_attr}" /> -->
		<textarea name="plugin_social-sharing_vz_attr" id="plugin_social-sharing_vz_attr" class="textinput" style="width:90%;height:90%">{$html_plugin_social_sharing_vz_attr}</textarea>
		</td>
	</tr>
EOT;
	endtable();
echo <<< EOT
		</td>
	</tr>

	<tr>
		<td colspan="2" class="tableb tableb_alternate " style="vertical-align: top;" align="right">
			<span>
			<input type="hidden" name="form_token" value="{$form_token}" />
			<input type="hidden" name="timestamp" value="{$timestamp}" />
			<input class="admin_menu" type="submit" name="submit" value="{$lang_social_sharing['submit_change']}" /> 
			</span>
		</td>
	</tr>
EOT;

	endtable();
	echo <<< EOT
	</form>
EOT;

	pagefooter();
	ob_end_flush();

?>
