<?php
/**
 * Coppermine Photo Gallery
 * Coppermine version: 1.5.xx
 *
 * Social Sharing Plugin
*/
require_once('include/init.inc.php');
if (!defined('IN_COPPERMINE')) { 
	die('Not in Coppermine...');
}
global $CONFIG;
	
// add link to pic info or under pic
switch ($CONFIG['plugin_social-sharing_locate']) {
case 3:
{
$thisplugin->add_filter('file_info','social_sharing_pic_link');

	function social_sharing_pic_link($info)   {
		global $CONFIG, $CURRENT_CAT_NAME;
		require('plugins/social_sharing/init.inc.php');
		// in a catecory that is configured as enabled?
		$enabled_categories_regex = $CONFIG['plugin_social-sharing_enabledcatregex'];
		if (preg_match($enabled_categories_regex, $CURRENT_CAT_NAME))
		{
			$info[$lang_social_sharing['pic_share']] = social_sharing_makelinks();
			return $info;	
		} else { // this category not enabled to show the link -- add nothing.
			return $info;
		}
	} // end of function
break;
}

case 0:
case 1:
case 2:
{
	// show link under pic, or title or caption or menu
	$thisplugin->add_filter('file_data','social_sharing_pic_link');

	function social_sharing_pic_link($CURRENT_PIC_DATA)  {
		global  $CURRENT_PIC_DATA, $CURRENT_ALBUM_DATA, $CONFIG, $pic_link, $CURRENT_CAT_NAME;
		require('plugins/social_sharing/init.inc.php');   
		// in a catecory that is configured as enabled?
		$enabled_categories_regex = $CONFIG['plugin_social-sharing_enabledcatregex'];
		if (preg_match($enabled_categories_regex, $CURRENT_CAT_NAME))
		{
			$links = social_sharing_makelinks();
			switch($CONFIG['plugin_social-sharing_locate']) {
				case 0:	{
						$CURRENT_PIC_DATA['html'] = $links . $CURRENT_PIC_DATA['html'];
						return $CURRENT_PIC_DATA;
					}
				case 1:	{
						$CURRENT_PIC_DATA['html'] .= $links;
						return $CURRENT_PIC_DATA;
					}
				case 2: {
						// show link beneath the lowest text or just the pic
						if (!$CURRENT_PIC_DATA['title'] && !$CURRENT_PIC_DATA['caption']) {
							$CURRENT_PIC_DATA['menu'] = $CURRENT_PIC_DATA['menu'] . $links;
							return $CURRENT_PIC_DATA;
						} else {
							if (!$CURRENT_PIC_DATA['title']) {
								$CURRENT_PIC_DATA['caption'] = $CURRENT_PIC_DATA['caption'] . $links;
								return $CURRENT_PIC_DATA;
							}
							if (!$CURRENT_PIC_DATA['caption']) {
								$CURRENT_PIC_DATA['title'] = $CURRENT_PIC_DATA['title'] . $links;
								return $CURRENT_PIC_DATA;
							}  else  {
								$CURRENT_PIC_DATA['caption'] = $CURRENT_PIC_DATA['caption'] . $links;
								return $CURRENT_PIC_DATA;
							}
						}
					}
			}
		} else  {
			return $CURRENT_PIC_DATA;
		}
	} // end of function
break;
}

case 4:
{

// Replace the Coppermine commenting function
// There should be a cleaner way to do this
// Or at least a cleaner way to fall back to the original implementation rather than copying its code into this plugin's themes.inc.php :-)
if (!function_exists('theme_html_comments')) {  //{THEMES}
function theme_html_comments($pid)
{
	require('plugins/social_sharing/init.inc.php');
	global $CONFIG, $CURRENT_CAT_NAME;
	if (preg_match($CONFIG['plugin_social-sharing_enabledcatregex'], $CURRENT_CAT_NAME)) {
		return social_sharing_makelinks();
	} else {
		require_once('plugins/social_sharing/themes.inc.php');
		return default_theme_html_comments($pid);
	}
}
}	// end if (!function_exists('theme_html_comments'))
break;
}
}		


function social_sharing_makelinks() {
	require('plugins/social_sharing/init.inc.php');
	global  $CURRENT_PIC_DATA, $CURRENT_ALBUM_DATA, $CONFIG, $cpg_udb;
	
	$rawCurrentUrl = social_sharing_getCurrentUrl();
	$currentUrl = htmlspecialchars(urlencode(preg_replace('/\?.*$/', '', $rawCurrentUrl).'?pid='.$CURRENT_PIC_DATA['pid']));	// canonical
	$currentUrl4html = htmlspecialchars(preg_replace('/\?.*$/', '', $rawCurrentUrl).'?pid='.$CURRENT_PIC_DATA['pid']);	// not urlencoded!	// canonical

	$title = $CURRENT_PIC_DATA['title'];
	if(!$title || strlen($title) == 0) {
		// We should put *something* for the og:title because some things (in Facebook) look really ugly if it is left out. Let's use the filename without extension as last resort.
		$title = preg_replace('/\.[^\.]*$/', '', $pic_info['filename']);
	}
		switch($CONFIG['plugin_social-sharing_owner2title']) {
			case 1: {
					$owner = $cpg_udb->get_user_name($CURRENT_PIC_DATA['owner_id']);
					$title = $owner.': '.$title;
					break;
				}
			case 2: {
					$owner = $cpg_udb->get_user_name($CURRENT_PIC_DATA['owner_id']);
					$title = $title.' ('.$owner.')';
					break;
				}
		}
	$title4url = htmlspecialchars(urlencode($title));
	$title4html = htmlspecialchars($title);
	$caption = $CURRENT_PIC_DATA['caption'];
	if($caption) {
		$caption = htmlspecialchars(urlencode($caption));
	}
	$galleryname = htmlspecialchars(urlencode($CONFIG['gallery_name']));
	$thumbnail = htmlspecialchars(preg_replace('/\/[^\/]*\.php.*$/', '/', $rawCurrentUrl).$CONFIG['fullpath'].$CURRENT_PIC_DATA['filepath'].$CONFIG['thumb_pfx'].$CURRENT_PIC_DATA['filename']);

	$links = '<span id="plugin_social-sharing"'.$CONFIG['plugin_social-sharing_span_attr'].'>';
	if($CONFIG['plugin_social-sharing_fblikeb_js'] || $CONFIG['plugin_social-sharing_fbcomments']) {
		$links .= '<div id="fb-root">';
//  		$links .= '<script type="text/javascript" src="http://static.ak.fbcdn.net/connect/en_US/core.debug.js"></script>';
		$links .= '<script type="text/javascript" src="http://connect.facebook.net/'.$lang_social_sharing['fblangcode'].'/all.js"></script>';
		$links .= '<script type="text/javascript">FB.init({'.($CONFIG['plugin_social-sharing_fb_appid'] != '' ? 'appId : \''.$CONFIG['plugin_social-sharing_fb_appid'].'\', ' : '').' status : true, cookie: true, xfbml : true });</script>';
		$links .= '</div>';
	}

	if($CONFIG['plugin_social-sharing_fblikeb_js']) {
		$links .= '<span '.$CONFIG['plugin_social-sharing_fblikeb_js_sattr'].'>';
		$links .= '<fb:like href="'.$currentUrl4html.'" '.$CONFIG['plugin_social-sharing_fblikeb_js_attr'].'></fb:like></span> ';
	}
	if($CONFIG['plugin_social-sharing_fblikebutton']) {
		$fbattrs = $CONFIG['plugin_social-sharing_fblikebutton_attr'];
		if (strlen($fbattrs) > 0 && $fbattrs[0] != '&') {
			$fbattrs = '&'.$fbattrs;
		}
		$fbattrs = htmlspecialchars($fbattrs);
		$links .= '<iframe src="http://www.facebook.com/widgets/like.php?href='.$currentUrl.$fbattrs.'" '.$CONFIG['plugin_social-sharing_fblikebutton_iattr'].'></iframe> ';
	}
	if($CONFIG['plugin_social-sharing_fbshare']) {
		$links .= '<span '.$CONFIG['plugin_social-sharing_fbshare_attr'].'>'
		       .  '<a name="fb_share" type="'.$CONFIG['plugin_social-sharing_fbshare_type'].'" share_url="'
		       .  $currentUrl4html . '">'.$lang_social_sharing['fbshare_text'].'</a>'
		       .  '<script type="text/javascript" src="http://static.ak.fbcdn.net/connect.php/js/FB.Share"></script></span> ';
	}
	if($CONFIG['plugin_social-sharing_twitter']) {
		$links .= '<span '.$CONFIG['plugin_social-sharing_twitter_attr'].'>'
		       .  '<a href="http://twitter.com/share" class="twitter-share-button" data-url="'
		       .  $currentUrl4html . '" data-text="'.$title4html.'"'.' data-count="'
		       .  $plugin_social_sharing_twitter_count_texts[$CONFIG['plugin_social-sharing_twitter_count']].'">'.$lang_social_sharing['twitter_text'].'</a>'
		       .  '<script type="text/javascript" src="http://platform.twitter.com/widgets.js"></script></span> ';
	}
	if($CONFIG['plugin_social-sharing_vz']) {
		$links .= '<span '.$CONFIG['plugin_social-sharing_vz_attr'].'>';
		$links .= '<a href="http://platform-redirect.vz-modules.net/r/Link/Share/?url='.$currentUrl.'&title='.$title4url.($caption ? '&description='.strip_tags(bb_decode($caption)) : '').'&provider='.$galleryname.'&thumbnail='.$thumbnail.'">';
		$links .= '<img src="'.$plugin_social_sharing_gfx_vz[$CONFIG['plugin_social-sharing_vz_gfx']].'" border="0" style="border:none;" /></a></span> ';
	}
	// FB Comments should be last because are likely to take up so much space that one wants them as style="display: block;"
	if($CONFIG['plugin_social-sharing_fbcomments']) {
		$links .= '<span '.$CONFIG['plugin_social-sharing_fbcomments_sattr'].'>';
		$links .= '<fb:comments url="'.$currentUrl4html.'" xid="'.$currentUrl.'" '.$CONFIG['plugin_social-sharing_fbcomments_attr'].'></fb:comments></span> ';
//		$links .= '<fb:comments href="'.$currentUrl4html.'" url="'.$currentUrl4html.'" xid="'.$currentUrl.'" '.$CONFIG['plugin_social-sharing_fbcomments_attr'].'></fb:comments></span> ';
	}
	$links .= '</span>';
	return $links;
}


function social_sharing_getCurrentUrl() {
    $superCage = Inspekt::makeSuperCage();
    $protocol = $superCage->server->keyExists('HTTPS') && $superCage->server->getAlnum('HTTPS') == 'on'
      ? 'https://'
      : 'http://';
    $currentUrl = $protocol . implode($superCage->server->getMatched('HTTP_HOST','/[a-zA-Z0-9\-\.\:]+/')) . implode($superCage->server->getMatched('REQUEST_URI','/[[:print:]]*/'));

    $parts = parse_url($currentUrl);

    $query = '';
    if (!empty($parts['query'])) {
      $params = array();
      parse_str($parts['query'], $params);
      if (!empty($params)) {
        $query = '?' . http_build_query($params, null, '&');
      }
    }
    // use port if non default
    $port = isset($parts['port']) &&
       (($protocol === 'http://' && $parts['port'] !== 80) ||
        ($protocol === 'https://' && $parts['port'] !== 443))
       ? ':' . $parts['port'] : '';

    // rebuild
    return $protocol . $parts['host'] . $port . $parts['path'] . $query;
}


$thisplugin->add_filter('page_meta','social_sharing_metaheaders');


// Facebook recommends to set OpenGraph tags -- see Facebook "social plugins" at Facebook for details.
function social_sharing_metaheaders($metatags) {
	require('plugins/social_sharing/init.inc.php');
	global $CONFIG, $CURRENT_PIC_DATA, $USER_DATA, $cpg_udb;
	// much pity that at this point we neither know on which page we are
	// and global $CURRENT_PIC_DATA has not been initialized yet
	// This means, we need to make a DB query that we could have avoided otherwise.

	$superCage = Inspekt::makeSuperCage();
	$pid = $superCage->get->getInt('pid');
	if ($pid == 0) {
		$pid = $superCage->post->getInt('pid');
	}

	$newline = "\n";
	$socialmeta = $metatags.$newline.'<!-- BEGIN OpenGraph metatags -->'.$newline;	// There may be plugins in the plugins chain by which this has been pre-filled even when Coppermine itself passes only an empty string!
	$socialmeta .= '<meta property="og:site_name" content="'.$CONFIG['gallery_name'].'" />'.$newline;
	if ($CONFIG['plugin_social-sharing_fb_admins']) {
		$socialmeta .= '<meta property="fb:admins" content="'.$CONFIG['plugin_social-sharing_fb_admins'].'" />'.$newline;
	}
	if ($CONFIG['plugin_social-sharing_fb_appid']) {
		$socialmeta .= '<meta property="fb:app_id" content="'.$CONFIG['plugin_social-sharing_fb_appid'].'" />'.$newline;
	}
	if (defined('DISPLAYIMAGE_PHP')) { 

		$result = cpg_db_query("SELECT * FROM {$CONFIG['TABLE_PICTURES']} AS p WHERE pid='$pid' $FORBIDDEN_SET LIMIT 1");
		if (mysql_num_rows($result) > 0) {
			$pic_info = mysql_fetch_assoc($result);
			mysql_free_result($result);
			
			$aid = $pic_info['aid'];

			$showdetailtags = $CONFIG['plugin_social-sharing_og4restricted'];
			if (!$showdetailtags) {
				$result = cpg_db_query("SELECT visibility FROM {$CONFIG['TABLE_ALBUMS']} WHERE aid = {$aid}");
				if (mysql_num_rows($result) > 0) {
					$album_info = mysql_fetch_assoc($result);
					mysql_free_result($result);

					$visibility = $album_info['visibility'];

					$showdetailtags = ($visibility == 0 || in_array($visibility, $USER_DATA['groups']));
				}
			}
			if ($showdetailtags) {
				$socialmeta .= '<meta name="medium" content="image" />'.$newline;
				$socialmeta .= '<meta property="og:type" content="'.$CONFIG['plugin_social-sharing_og_type'].'" />'.$newline;
				$title = $pic_info['title'];
				if(!$title || strlen($title) == 0) {
					// We should put *something* for the og:title because some things (in Facebook) look really ugly if it is left out. Let's use the filename without extension as last resort.
					$title = preg_replace('/\.[^\.]*$/', '', $pic_info['filename']);
				}
				switch($CONFIG['plugin_social-sharing_owner2title']) {
					case 1: {
							$owner = $cpg_udb->get_user_name($pic_info['owner_id']);
							$title = $owner.': '.$title;
							break;
						}
					case 2: {
							$owner = $cpg_udb->get_user_name($pic_info['owner_id']);
							$title = $title.' ('.$owner.')';
							break;
						}
				}
				$socialmeta .= '<meta property="og:title" content="'.htmlspecialchars($title).'" />'.$newline;
				$caption = $pic_info['caption'];
				if($caption) {
					$socialmeta .= '<meta property="og:description" content="'.strip_tags(bb_decode($caption)).'" />'.$newline;
				}
				$currentUrl = social_sharing_getCurrentUrl();
				$socialmeta .= '<meta property="og:image" content="'.htmlspecialchars(preg_replace('/displayimage.php.*$/', '', $currentUrl).$CONFIG['fullpath'].$pic_info['filepath'].$CONFIG['thumb_pfx'].$pic_info['filename']).'" />'.$newline;
				$socialmeta .= '<meta property="og:url" content="'.htmlspecialchars(preg_replace('/\?.*$/', '', $currentUrl).'?pid='.$pid).'" />'.$newline;
			}
		}                                                                                                                                                    
	}
	return $socialmeta.'<!-- END OpenGraph metatags -->'.$newline;
}



$thisplugin->add_action('plugin_install','social_sharing_install');
$thisplugin->add_action('plugin_uninstall','social_sharing_uninstall');	
	
// Install the plugin
function social_sharing_install() {
	global $CONFIG, $thisplugin;

	// add new meta to db
	cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_social-sharing_enabledcatregex', '/.*/')");
	cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_social-sharing_locate', '1')");
	cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_social-sharing_span_attr', 'style=\"display:block; padding-top: 0.5em; text-align: center;\"')");
	cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_social-sharing_og_type', 'cpg:picture')");
	cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_social-sharing_og4restricted', '0')");
	cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_social-sharing_owner2title', '0')");
	cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_social-sharing_fb_admins', '')");
	cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_social-sharing_fb_appid', '')");
	cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_social-sharing_fblikeb_js', '1')");
	cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_social-sharing_fblikeb_js_sattr', '')");
	cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_social-sharing_fblikeb_js_attr', 'layout=\"standard\" show_faces=\"true\"')");
	cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_social-sharing_fblikebutton', '0')");
	cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_social-sharing_fblikebutton_iattr', 'style=\"width:350px; height:25px; padding-top:2px; border:none; overflow:hidden;\" allowTransparency=\"true\"')");
	cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_social-sharing_fblikebutton_attr', 'width=350&layout=standard&show_faces=false')");
	cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_social-sharing_fbcomments', '0')");
	cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_social-sharing_fbcomments_sattr', 'style=\"display: block;\"')");
	cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_social-sharing_fbcomments_attr', 'numposts=\"10\" publish_feed=\"true\"')");
	cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_social-sharing_fbshare', '0')");
	cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_social-sharing_fbshare_attr', '')");
	cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_social-sharing_fbshare_type', '2')");
	cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_social-sharing_twitter', '1')");
	cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_social-sharing_twitter_attr', '')");
	cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_social-sharing_twitter_count', '2')");
	cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_social-sharing_vz', '0')");
	cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_social-sharing_vz_gfx', '1')");
	cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_social-sharing_vz_attr', 'style=\"border:none;\"')");
	return true;
}

// Uninstall the plugin
function social_sharing_uninstall() {
	global $CONFIG, $thisplugin;
		
//remove the record from config
	cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_social-sharing_enabledcatregex'");
	cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_social-sharing_locate'");
	cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_social-sharing_span_attr'");
	cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_social-sharing_og_type'");
	cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_social-sharing_og4restricted'");
	cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_social-sharing_owner2title'");
	cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_social-sharing_fb_admins'");
	cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_social-sharing_fb_appid'");
	cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_social-sharing_fblikeb_js'");
	cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_social-sharing_fblikeb_js_sattr'");
	cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_social-sharing_fblikeb_js_attr'");
	cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_social-sharing_fblikebutton'");
	cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_social-sharing_fblikebutton_iattr'");
	cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_social-sharing_fblikebutton_attr'");
	cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_social-sharing_fbcomments'");
	cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_social-sharing_fbcomments_sattr'");
	cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_social-sharing_fbcomments_attr'");
	cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_social-sharing_fbshare'");
	cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_social-sharing_fbshare_attr'");
	cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_social-sharing_fbshare_type'");
	cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_social-sharing_twitter'");
	cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_social-sharing_twitter_attr'");
	cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_social-sharing_twitter_count'");
	cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_social-sharing_vz'");
	cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_social-sharing_vz_gfx'");
	cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_social-sharing_vz_attr'");
	return true;
}
?>
